@import url('https://fonts.googleapis.com/css2?family=Baskervville&family=EB+Garamond:ital@0;1&family=Zilla+Slab:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap');

:root {
    --black: #102C57;
    --grey: #EADBC8;
    --white: #F8F0E5;
    --accent1: #DAC0A3;
    --accent2: #EADBC8;
    --accent3: #af9577;
}


.background {
    position: absolute; 
    background-image: url("../img/partition.png");
    background-repeat: repeat;
    background-color: #fffff0;
    top: 0;
    right: 0;
    height: 99%; 
    width: 99%;
    background-position: center; /* Center the image */
    background-repeat: no-repeat; /* Do not repeat the image */
    background-size: cover; /* Resize the background image to cover the entire container */
    filter: blur(8px);
    -webkit-filter: blur(8px);
    z-index: -1;
  }

body {
    background-color: var(--white);
    font-family: "EB Garamond";
    font-weight: normal;
    color: var(--black);
    margin-top: 80px;
    transition: margin-top .5s;
}

button {
    background-color: var(--accent2);
    border-radius: 15px;
    padding: 10px;
    font-family: "EB Garamond";
    font-size: 18px;
    font-weight: 600;
    border-width: 1px;
    border-color: var(--black);
    border-style: solid;
    cursor: pointer;
}

button:hover {
  background-color: var(--accent3);
}

#search-icon{
  background: none;
  padding: 0px;
  font-family: "EB Garamond";
  border:0;
  border-style: solid;
  display: none;
}

input {
    background-color: var(--white);
    border-radius: 15px;
    border-width: 1px;
    border-color: var(--black);
    border-style: solid;
    padding: 10px;
    font-family: "EB Garamond";
    box-shadow: rgba(0, 0, 0, 0.15) 0px 3px 3px 0px inset;
}

header{
  position: fixed;
  width: 100%;
  height: 50px;
  top: 0;
  right: 0;
  z-index: 1000;
  display: flex;
  text-align: center;
  align-items: center;
  background-color: var(--accent1);
  padding: 15px;
  box-shadow: 0px 0px 15px rgba(0,0,0,.6);
}

header h1{
  margin-top: auto;
  color: var(--black);
  text-align: center;
  font-size: clamp(15px, 6vw, 50px);
}

.logo {
  margin-top: -24px;
  height: clamp(15px, 6vw, 40px);
  width: auto;
}

/*Début Gestion des cartes*/

.cards-container{
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  margin-left: auto;
  margin-right: auto;
}

.card, .card-profile {
  background-color: transparent;
  perspective: 1200px;
  width: 240px;
  height: 150px;
  position: relative;
  z-index: 0;
  transition : z-index .5s;
  cursor: pointer;
  margin: 10px;
}

.card-content {
  box-shadow: 0 4px 20px -5px rgba(47,63,70,.51);
  background-color: var(--accent2);
  border-radius: 20px;
  border-width: 1px;
  border-color: var(--black);
  border-style: solid;
  position: relative;
  z-index: 0;
  transition : transform .5s ease, box-shadow .5s ease, height .5s ease, width .5s ease;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.card-active{
  z-index: 100 !important;
}

.card-content-active{
  box-shadow: 0 24px 40px -10px rgba(47,63,70,.51);
	transform : translate(-12%, -20%);
  z-index: 100 !important;
  height: 180%;
  width: 130%;
  transition: all .5s;
}

.name-composer {
  margin-top: -35px;
}

.card-content h3{
  font-size: 22px;
  font-weight: normal;
  transition: all .5s;
}

.card-content-active h3{
  font-size: 25px;
}

.card-content-active h5{
  font-size: 18px;
  margin-top: -25px !important;
}

.card-content-active img {
  max-height: 20px;
}

.card-front-active{
  opacity: 0;
}

.card-back-active{
  opacity: 100 !important;
}

.card-content h5{
  font-size: 17px;
  margin-top: -20px;
  font-weight: normal;
  transition: font-size .5s, margin-top .5s;
}

.card-content img {
  max-height: 30px;
  transition: max-height 0.5s;
  object-fit:cover;
  object-position: 50% 100%; 
  border-radius:20px 20px 0px 0px;
}

.card-front, .card-back{
  position: absolute;
  width: 100%;
  height: 100%;
  overflow: hidden;
  transition: opacity .5s;
}

.card button {
  background-color: var(--accent1);
}

.card-content h4{
  font-weight: normal;
  text-decoration-line: underline;
  text-decoration-thickness: 1px;
}

/*Fin Gestion des Cartes */

article{
    margin: auto;
}

.filtresWindow {
  display: none;
  position: absolute;
  top: 140px;
  right: -100px;
  transform: translate(-50%, -50%);
  border: 2px solid var(--black);
  background-color: var(--accent2);
  z-index: 1000;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
  border-radius: 15px;
  width: fit-content;
  padding: 20px;
  margin: auto;
  min-width: 170px;
}

.filtresWindow input{
  float: left;
  margin-top: 9px;
  margin-right: 5px;
  border-radius: 5px;
}

.filtresWindow label{
  font-size: 23px;
  float: left;
}

#search-ui-background {
  background-color: var(--accent2);
  width: 100vw;
  height: 70px;
  margin-top: -3px;
  margin-left: -8px;
  position: relative;
  box-shadow: 0px 0px 5px rgba(0,0,0,.6);
  transition: all .5s;
  opacity: 0;
  display: none;
}

#search-ui {
  opacity:100;
  display: block;
  position: absolute;
  top: 18px;
  right: 1%;
  z-index: 2000 !important;
}

#search {
  width:250px;
}

#page-logo {
  position: absolute;
  top: 8px;
  left: 50%;
  -webkit-transform: translate(-50%,0);
  transform: translate(-50%,0);
  display: grid;
  align-items: center;
  height:50px;
  transition: opacity .3s;
}
/*================POPUP FORMS================*/
.popup-form {
  display: none; 
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 2px solid var(--black);
  background-color: var(--accent2);
  z-index: 1000;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
  border-radius: 20px;
  width: fit-content;
  text-align: center;
  margin: auto;
  margin-top: 2%;
  min-width: 400px;
  width: 35%;
  height: fit-content;
  padding-bottom: 1%;
}

.overlay {
  display: none; 
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  z-index: 999;
}

.popup-form h1{
  font-size: 40px;
  margin-top: -25px;
  margin-bottom: -15px;
  text-align: center;
  font-weight: normal;
}

.popup-form h2{
  text-align: left;
  margin-left: 10%;
}

.popup-form input{
  width: 80%;
  margin-top: -40px;
  position: relative;
  font-size: 20px;
  padding: 7px 10px;
}

.popup-form hr{
  margin: 30px 0px;
}

.popup-form button{
  margin: 0px 30px 10px;
  min-width: 90px;
  width: 30%;
  background-color: var(--accent1);
  position: relative;
}

.popup-form img {
  max-height: 80px;
  width: 100%;
  object-fit:cover;
  object-position: 50% 100%; 
  border-radius:20px 20px 0px 0px;
}


/*========================RESPONSIVENESS========================*/

@media screen and (max-width: 1050px) {
  #search-icon{
    display: block;
  }
  #search-ui{
    opacity: 0;
    -webkit-transform:translate(0, 180%);
    transform:translate(0%, 180%);
    margin-top: -10px;
    z-index: 100 !important;
    right: 3%;
  }
}

/*----Début Gestion de la taille du logo----*/
@media screen and (max-width: 400px) {
  #search{
    width:50%
  }
}

@media screen and (max-width: 834px) {
  #page-logo {
    top:50%;
    -webkit-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
  }
}

@media screen and (max-width: 580px) {
  #page-logo {
    top:60%;
  }
}
/*----Fin Gestion de la taille du logo----*/


@media screen and (max-width: 550px) {
  .cards-container {
    padding: 0;
    margin: 0;
  }

  .card, .card-profile {
    width: 100vw;
    height: 100px;
    position: relative;
    z-index: 0;
    transition : z-index .5s;
    cursor: pointer;
    margin: 0;
    margin-bottom: 10px;
  }

  .card-content {
    box-shadow: 0;
    border-radius: 10px;
    width: 100%;
    overflow: hidden;
  }

  .card-active{
    z-index: 100 !important;
  }

  .card-content-active{
    box-shadow: 0;
    transform : translate(-.5%, -20%);
    height: 220%;
    width: 101%;
    transition: all .5s;
  }

  .name-composer {
    margin-top: -10px;
  }

  .card-content-active h5{
    font-size: 18px;
    margin-top: -25px !important;
  }

  .card-front-active{
    opacity: 0;
  }

  .card-back-active{
    opacity: 100 !important;
  }

  .card-content h5{
    font-size: 17px;
    margin-top: -20px;
    font-weight: normal;
    transition: font-size .5s, margin-top .5s;
  }

  .card-content img {
    display: none;
  }

  .card-front, .card-back{
    position: absolute;
    width: 100%;
    height: 100%;
    overflow: hidden;
    transition: opacity .5s;
  }

  .card button {
    background-color: var(--accent1);
  }

  .card-content h4{
    font-weight: normal;
    text-decoration-line: underline;
    text-decoration-thickness: 1px;
  }
}